# watcherclient.v1.action_plan module

class watcherclient.v1.action_plan.ActionPlan(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.action_plan.ActionPlanManager(api)

  Bases: `Manager`

  cancel(action_plan_id)
  delete(action_plan_id)
  get(action_plan_id)
  list(audit=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of action plan.

    Parameters:

      - audit – Name of the audit

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of action plans to return.

        2. limit == 0, return the entire list of action plans.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about action plans.

      - marker – The last actionplan UUID of the previous page; displays list of actionplans after “marker”.

    Returns:

      A list of action plans.

  resource_class

    alias of `ActionPlan`

  start(action_plan_id)
  update(action_plan_id, patch)

this page last updated: 2025-03-03 09:38:11

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug